<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '~/common/meta';
import Survey2022 from '~/components/developer-survey/2022/survey-2022.vue';
import Survey2023 from '~/components/developer-survey/2023/survey-2023.vue';

export default Vue.extend({
  components: {
    Survey2022,
    Survey2023,
  },
  nuxtI18n: false,
  async asyncData({ $content, params }: any) {
    try {
      const survey = await $content(
        `en-us/developer-survey/previous/${params.slug}`,
      ).fetch();
      return { survey };
    } catch (e) {
      throw new Error(e);
    }
  },
  head() {
    return getPageMetadata((this as any).survey, this.$route.path);
  },
});
</script>

<template>
  <div>
    <Survey2022 v-if="survey.slug === '2022'" :survey="survey" />
    <Survey2023 v-else-if="survey.slug === '2023'" :survey="survey" />
  </div>
</template>
